LoudVoice API \ Votes \ Delete vote

Resource/URI - Discussions GET POST PUT DELETE
Discussions /loudvoice/discussions.json List all discussions Create a discussion – –
Discussion /loudvoice/discussions/<discussion_token>.json Read a discussion – Update a discussion Delete a discussion
Discussion messages /loudvoice/comments/<discussion_token>/comments.json Read discussion comments – – –
Resource/URI - Authors GET POST PUT DELETE
Authors /loudvoice/authors.json List all authors Create an author – –
Author /loudvoice/authors/<author_token>.json Read an author – Update an author Delete an author
Resource/URI - Author Sessions GET POST PUT DELETE
Author Sessions /loudvoice/authors/sessions.json List all sessions – Create or update a session –
Author Session /loudvoice/authors/sessions/<session_token>.json – – – Delete a session
Resource/URI - Comments GET POST PUT DELETE
Comments /loudvoice/comments.json List all comments Create a comment – –
Comment /loudvoice/comments/<comment_token>.json Read a comment – Update a comment Delete a comment
Resource/URI - Votes GET POST PUT DELETE
Votes /loudvoice/votes.json List all
votes
– – –
Vote /loudvoice/votes/comments/<comment_token>/authors/<author_token>.json Read a vote – Cast a vote Delete a vote

Workflow

Request: the code to send to the API

Send an API request to this endpoint in order to delete a vote:

DELETE /loudvoice/votes/comments/<comment_token>/authors/<author_token>.json

The <comment_token> and <author_token> must be replaced by the unique identifiers of the comment that has been voted for and the author who casted the vote. The following URL arguments are supported by this endpoint.

URL argument Description
* confirm_deletion
boolean
To prevent you from unintentionally deleting an entry by mixing up the DELETE/GET methods you have to mandatory include this parameter and set it's value to true.
do_update_counters
boolean
Per default removing a vote will automatically update the internal vote counters of the comment. Set this parameter to false to skip the update of the counters.
Default: true

Result: the code returned by the API

The API will either return a HTTP status code 200 if the entry was successfully deleted or an appropriate message body with further details on the error that occured.

Example Resultset

{
  "response": {
    "request": {
      "date": "Mon, 21 Oct 2019 15:50:37 +0200",
      "resource": "/loudvoice/votes/comments/345a5258-ab80-4f31-aefb-03e2eddf25b8/authors/3f76faa4-4188-463a-8f4f-555286039014.json?confirm_deletion=true",
      "status": {
        "flag": "success",
        "code": 200,
        "info": "The specified vote has successfully been removed"
      }
    }
  }
}

User Contributed Notes